svn commit: r294642 - stable/10/usr.sbin/bsdinstall/scripts

Allan Jude allanjude at FreeBSD.org
Sat Jan 23 22:13:33 UTC 2016


Author: allanjude
Date: Sat Jan 23 22:13:31 2016
New Revision: 294642
URL: https://svnweb.freebsd.org/changeset/base/294642

Log:
  MFC: r285732
    Add the Dell E7240 laptop and Intel DP965LT motherboard to the list for the GPT active workaround
  
  MFC: r287843
    Add the HP ProBook 4330s, Intel DP965LT, D510MO, and Acer Veriton M6630G to the GPT workaround list
  
  Sponsored by:	ScaleEngine Inc.

Modified:
  stable/10/usr.sbin/bsdinstall/scripts/auto
Directory Properties:
  stable/10/   (props changed)

Modified: stable/10/usr.sbin/bsdinstall/scripts/auto
==============================================================================
--- stable/10/usr.sbin/bsdinstall/scripts/auto	Sat Jan 23 21:04:34 2016	(r294641)
+++ stable/10/usr.sbin/bsdinstall/scripts/auto	Sat Jan 23 22:13:31 2016	(r294642)
@@ -53,7 +53,7 @@ error() {
 }
 
 hline_arrows_tab_enter="Press arrows, TAB or ENTER"
-msg_gpt_active_fix="Your hardware is known to have issues booting in BIOS mode from GPT partitions that are not set active. Would you like the installer to apply this workaround for you?"
+msg_gpt_active_fix="Your hardware is known to have issues booting in CSM/Legacy/BIOS mode from GPT partitions that are not set active. Would you like the installer to apply this workaround for you?"
 msg_lenovo_fix="Your model of Lenovo is known to have a BIOS bug that prevents it booting from GPT partitions without UEFI. Would you like the installer to apply a workaround for you?"
 msg_no="NO"
 msg_yes="YES"
@@ -166,6 +166,14 @@ if f_interactive; then
 	f_dprintf "smbios.system.product=[%s]" "$sys_model"
 	sys_version=$( kenv -q smbios.system.version )
 	f_dprintf "smbios.system.version=[%s]" "$sys_version"
+	sys_mb_maker=$( kenv -q smbios.planar.maker )
+	f_dprintf "smbios.planar.maker=[%s]" "$sys_mb_maker"
+	sys_mb_product=$( kenv -q smbios.planar.product )
+	f_dprintf "smbios.planar.product=[%s]" "$sys_mb_product"
+
+	#
+	# Laptop Models
+	#
 	case "$sys_maker" in
 	"LENOVO")
 		case "$sys_version" in
@@ -182,7 +190,51 @@ if f_interactive; then
 		;;
 	"Dell Inc.")
 		case "$sys_model" in
-		"Latitude E7440")
+		"Latitude E7440"|"Latitude E7240")
+			dialog_workaround "$msg_gpt_active_fix"
+			retval=$?
+			f_dprintf "gpt_active_fix_prompt=[%s]" "$retval"
+			if [ $retval -eq $DIALOG_OK ]; then
+				export ZFSBOOT_PARTITION_SCHEME="GPT + Active"
+				export WORKAROUND_GPTACTIVE=1
+			fi
+			;;
+		esac
+		;;
+	"Hewlett-Packard")
+		case "$sys_model" in
+		"HP ProBook 4330s")
+			dialog_workaround "$msg_gpt_active_fix"
+			retval=$?
+			f_dprintf "gpt_active_fix_prompt=[%s]" "$retval"
+			if [ $retval -eq $DIALOG_OK ]; then
+				export ZFSBOOT_PARTITION_SCHEME="GPT + Active"
+				export WORKAROUND_GPTACTIVE=1
+			fi
+			;;
+		esac
+		;;
+	esac
+	#
+	# Motherboard Models
+	#
+	case "$sys_mb_maker" in
+	"Intel Corporation")
+		case "$sys_mb_product" in
+		"DP965LT"|"D510MO")
+			dialog_workaround "$msg_gpt_active_fix"
+			retval=$?
+			f_dprintf "gpt_active_fix_prompt=[%s]" "$retval"
+			if [ $retval -eq $DIALOG_OK ]; then
+				export ZFSBOOT_PARTITION_SCHEME="GPT + Active"
+				export WORKAROUND_GPTACTIVE=1
+			fi
+			;;
+		esac
+		;;
+	"Acer")
+		case "$sys_mb_product" in
+		"Veriton M6630G")
 			dialog_workaround "$msg_gpt_active_fix"
 			retval=$?
 			f_dprintf "gpt_active_fix_prompt=[%s]" "$retval"


More information about the svn-src-all mailing list